import {TreeSelect} from '@schukai/component-form/source/tree-select.mjs';

const treeSelect = document.createElement('monster-tree-select');
treeSelect.setOption('mapping.valueTemplate', '${name} (${alpha-2})')
treeSelect.setOption('mapping.labelTemplate', '${country-code}')
treeSelect.importOptions([
    {
        "name": "United Kingdom",
        "alpha-2": "GB",
        "country-code": "826",
        "parent": undefined
    },
    {
        "name": "Sweden",
        "alpha-2": "SE",
        "country-code": "752",
        "parent": undefined
    },
    {
        "name": "Germany",
        "alpha-2": "DE",
        "country-code": "276",
        "parent": undefined
    }
]);

document.body.appendChild(treeSelect);
